View Issue Details

IDProjectCategoryView StatusLast Update
0006644mantisbtotherpublic2010-09-17 06:59
ReporterMcWizard Assigned Tograngeway  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionwon't fix 
Product Version1.0.0rc5 
Summary0006644: Patch for multiple developers per issue
Description

This is a quick hack for allowing multiple developers per issue.
Details on the forum: http://forums.mantisbt.org/viewtopic.php?t=1090

Tagspatch

Relationships

related to 0005081 acknowledged Assigning multiple persons to an issue 
related to 0010207 feedback Allow multiple valids emails address per account (patch attached) 

Activities

2006-01-27 07:48

 

MantisMultipleHack.zip (18,610 bytes)

2007-04-23 09:55

 

giallu

giallu

2007-08-04 09:53

reporter   ~0015345

Description of what is in the patch, pasted from the forum topic:

  • We use the "Monitored by" field for assigning multiple people to an issue.
  • Once someone has taken over a bug, he assigns himself as usual.
  • We do have two accounts for each developer, one for assignment and one for actually only monitoring a bug. If you want to monitor a bug, you can send a reminder to your own visitor-account.
  • Monitors can be removed/added easily via the "send reminder" page.
  • People assigned to an issue appear on the list of bugs
  • The interface has been stripped of all unnecessary fields (for us) and streamlined for optimal screen usage. (No logo on the top for instance).
  • A new Box has been added to the "My View" page, which shows all bugs monitored by your visitor account
  • The boxes on "My View" have been modified to our needs (They sort by priority for example)
  • Mails subject is changed to show the Type of mail: i.e. CHANGED #1342: Text...
  • Reports are available in advanced mode only, the simple mode might hide some important fields
  • Updates/View are available in simple mode only, advanced mode has not been changed, so it might be unusable..
siebrand

siebrand

2009-03-31 02:12

developer   ~0021327

Too big of a hack? I suggest this solution should be closed as WONTFIX? 0010207 appears to be much more doable.

grangeway

grangeway

2009-04-04 07:12

reporter   ~0021393

Having just been through the patch - there doesn't look to be anything that can be used immediately against the 1.2 codebase.

Closing this off as we cant apply this particular patch - there's other issues open discussing groups, multiple emails per user etc which cover in more detail what would be included in this patch.

Issue History

Date Modified Username Field Change
2006-01-27 07:48 McWizard New Issue
2006-01-27 07:48 McWizard File Added: MantisMultipleHack.zip
2007-04-23 09:55 McWizard File Added: MantisMultipleHack-ReUpload.zip
2007-06-20 20:11 vboctor Relationship added related to 0005081
2007-08-04 09:53 giallu Note Added: 0015345
2007-09-11 08:54 vboctor Tag Attached: patch
2009-03-31 02:12 siebrand Note Added: 0021327
2009-03-31 02:13 siebrand Relationship added related to 0010207
2009-04-04 07:12 grangeway Note Added: 0021393
2009-04-04 07:12 grangeway Status new => resolved
2009-04-04 07:12 grangeway Resolution open => won't fix
2009-04-04 07:12 grangeway Assigned To => grangeway
2009-06-26 12:01 vboctor Status resolved => closed